import React from 'react';
import { Alert } from '@grafana/ui';

export interface Props {
  variant?: 'info' | 'error';
}

const InfoMessage: React.FC = () => {
  return (
    <>
      <>To generate PDF reports, you must install the </>
      <a
        href="https://grafana.com/grafana/plugins/grafana-image-renderer"
        target="_blank"
        rel="noopener noreferrer"
        className="external-link"
      >
        Grafana Image Renderer
      </a>
      <> plugin.</>
    </>
  );
};

const actionMessage = 'Please contact your Grafana administrator to install the plugin.';

export const NoRenderingInfoBox: React.FC<Props> = ({ variant = 'info' }) => {
  return (
    <Alert title="Image renderer plugin not installed" severity={variant}>
      <InfoMessage /> <br />
      {actionMessage}
    </Alert>
  );
};
