// TODO: should this list be different for logs vs metrics?
export const SUPPORTED_RESOURCE_TYPES = [
  'microsoft.analysisservices/servers',
  'microsoft.apimanagement/service',
  'microsoft.network/applicationgateways',
  'microsoft.insights/components',
  'microsoft.web/hostingenvironments',
  'microsoft.web/serverfarms',
  'microsoft.web/sites',
  'microsoft.automation/automationaccounts',
  'microsoft.botservice/botservices',
  'microsoft.appplatform/spring',
  'microsoft.network/bastionhosts',
  'microsoft.batch/batchaccounts',
  'microsoft.cdn/cdnwebapplicationfirewallpolicies',
  'microsoft.classiccompute/domainnames',
  'microsoft.classiccompute/virtualmachines',
  'microsoft.vmwarecloudsimple/virtualmachines',
  'microsoft.cognitiveservices/accounts',
  'microsoft.appconfiguration/configurationstores',
  'microsoft.network/connections',
  'microsoft.containerinstance/containergroups',
  'microsoft.containerregistry/registries',
  'microsoft.containerservice/managedclusters',
  'microsoft.documentdb/databaseaccounts',
  'microsoft.databoxedge/databoxedgedevices',
  'microsoft.datafactory/datafactories',
  'microsoft.datafactory/factories',
  'microsoft.datalakeanalytics/accounts',
  'microsoft.datalakestore/accounts',
  'microsoft.datashare/accounts',
  'microsoft.dbformysql/servers',
  'microsoft.devices/provisioningservices',
  'microsoft.compute/disks',
  'microsoft.network/dnszones',
  'microsoft.eventgrid/domains',
  'microsoft.eventgrid/topics',
  'microsoft.eventgrid/systemtopics',
  'microsoft.eventhub/namespaces',
  'microsoft.eventhub/clusters',
  'microsoft.network/expressroutecircuits',
  'microsoft.network/expressrouteports',
  'microsoft.network/azurefirewalls',
  'microsoft.network/frontdoors',
  'microsoft.hdinsight/clusters',
  'microsoft.iotcentral/iotapps',
  'microsoft.devices/iothubs',
  'microsoft.keyvault/vaults',
  'microsoft.kubernetes/connectedclusters',
  'microsoft.kusto/clusters',
  'microsoft.network/loadbalancers',
  'microsoft.operationalinsights/workspaces',
  'microsoft.logic/workflows',
  'microsoft.logic/integrationserviceenvironments',
  'microsoft.machinelearningservices/workspaces',
  'microsoft.dbformariadb/servers',
  'microsoft.media/mediaservices',
  'microsoft.media/mediaservices/streamingendpoints',
  'microsoft.network/natgateways',
  'microsoft.netapp/netappaccounts/capacitypools',
  'microsoft.netapp/netappaccounts/capacitypools/volumes',
  'microsoft.network/networkinterfaces',
  'microsoft.notificationhubs/namespaces/notificationhubs',
  'microsoft.peering/peeringservices',
  'microsoft.dbforpostgresql/servers',
  'microsoft.dbforpostgresql/serversv2',
  'microsoft.powerbidedicated/capacities',
  'microsoft.network/privateendpoints',
  'microsoft.network/privatelinkservices',
  'microsoft.network/publicipaddresses',
  'microsoft.cache/redis',
  'microsoft.cache/redisenterprise',
  'microsoft.relay/namespaces',
  'microsoft.search/searchservices',
  'microsoft.dbforpostgresql/servergroupsv2',
  'microsoft.servicebus/namespaces',
  'microsoft.signalrservice/signalr',
  'microsoft.operationsmanagement/solutions',
  'microsoft.sql/managedinstances',
  'microsoft.sql/servers/databases',
  'microsoft.sql/servers/elasticpools',
  'microsoft.storage/storageaccounts',
  'microsoft.storagecache/caches',
  'microsoft.classicstorage/storageaccounts',
  'microsoft.storagesync/storagesyncservices',
  'microsoft.streamanalytics/streamingjobs',
  'microsoft.synapse/workspaces',
  'microsoft.synapse/workspaces/bigdatapools',
  'microsoft.synapse/workspaces/scopepools',
  'microsoft.synapse/workspaces/sqlpools',
  'microsoft.timeseriesinsights/environments',
  'microsoft.network/trafficmanagerprofiles',
  'microsoft.compute/virtualmachines',
  'microsoft.compute/virtualmachinescalesets',
  'microsoft.network/virtualnetworkgateways',
  'microsoft.web/sites/slots',
  'microsoft.resources/subscriptions',
  'microsoft.insights/autoscalesettings',
  'microsoft.aadiam/azureadmetrics',
  'microsoft.azurestackresourcemonitor/storageaccountmonitor',
  'microsoft.network/networkwatchers/connectionmonitors',
  'microsoft.customerinsights/hubs',
  'microsoft.insights/qos',
  'microsoft.network/expressroutegateways',
  'microsoft.fabric.admin/fabriclocations',
  'microsoft.network/networkvirtualappliances',
  'microsoft.media/mediaservices/liveevents',
  'microsoft.network/networkwatchers',
  'microsoft.network/p2svpngateways',
  'microsoft.dbforpostgresql/flexibleservers',
  'microsoft.network/vpngateways',
  'microsoft.web/hostingenvironments/workerpools',
]
  .map((type) => `"${type}"`)
  .join(',');

export const SUPPORTED_LOCATIONS = [
  'eastus',
  'eastus2',
  'southcentralus',
  'westus2',
  'westus3',
  'australiaeast',
  'southeastasia',
  'northeurope',
  'uksouth',
  'westeurope',
  'centralus',
  'northcentralus',
  'westus',
  'southafricanorth',
  'centralindia',
  'eastasia',
  'japaneast',
  'jioindiawest',
  'koreacentral',
  'canadacentral',
  'francecentral',
  'germanywestcentral',
  'norwayeast',
  'switzerlandnorth',
  'uaenorth',
  'brazilsouth',
  'centralusstage',
  'eastusstage',
  'eastus2stage',
  'northcentralusstage',
  'southcentralusstage',
  'westusstage',
  'westus2stage',
  'asia',
  'asiapacific',
  'australia',
  'brazil',
  'canada',
  'europe',
  'global',
  'india',
  'japan',
  'uk',
  'unitedstates',
  'eastasiastage',
  'southeastasiastage',
  'westcentralus',
  'southafricawest',
  'australiacentral',
  'australiacentral2',
  'australiasoutheast',
  'japanwest',
  'koreasouth',
  'southindia',
  'westindia',
  'canadaeast',
  'francesouth',
  'germanynorth',
  'norwaywest',
  'switzerlandwest',
  'ukwest',
  'uaecentral',
  'brazilsoutheast',
]
  .map((type) => `"${type}"`)
  .join(',');
